MWAWCellContent::FormulaInstruction Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWCellContent::FormulaInstruction Struct Reference

small class use to define a formula instruction More...

`#include <MWAWCell.hxx>`

## Public Types
enum | Type { F_Operator, F_Function, F_Cell, F_CellList, F_Long, F_Double, F_Text }

## Public Member Functions
| FormulaInstruction ()
| constructor More...
librevenge::RVNGPropertyList | getPropertyList (MWAWFontConverter &fontConverter, int fontId) const
| returns a proplist corresponding to a instruction using a font converter to send the text More...

## Public Attributes
Type | m_type
| the type More...
std::string | m_content
| the content ( if type == F_Operator or type = F_Function or type==F_Text) More...
double | m_longValue
| value ( if type==F_Long ) More...
double | m_doubleValue
| value ( if type==F_Double ) More...
MWAWVec2i | m_position [2]
| cell position ( if type==F_Cell or F_CellList ) More...
MWAWVec2b | m_positionRelative [2]
| relative cell position ( if type==F_Cell or F_CellList ) More...
std::string | m_sheet
| the sheet name (if not empty) More...

## Friends
std::ostream & | operator<< (std::ostream &o, FormulaInstruction const &inst)
| operator<< More...

## Detailed Description

small class use to define a formula instruction

## Member Enumeration Documentation

enum MWAWCellContent::FormulaInstruction::Type

Enumerator
F_Operator |
F_Function |
F_Cell |
F_CellList |
F_Long |
F_Double |
F_Text |

## Constructor & Destructor Documentation

MWAWCellContent::FormulaInstruction::FormulaInstruction | ( |  | ) |
| inline

constructor

## Member Function Documentation

librevenge::RVNGPropertyList MWAWCellContent::FormulaInstruction::getPropertyList | ( | MWAWFontConverter & | fontConverter,
|  | int | fontId
| ) |  | const

returns a proplist corresponding to a instruction using a font converter to send the text

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWCellContent::FormulaInstruction const & | inst
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string MWAWCellContent::FormulaInstruction::m_content

the content ( if type == F_Operator or type = F_Function or type==F_Text)

Referenced by operator<<(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), RagTimeSpreadsheet::readFormula(), ClarisWksDbaseContent::readFormula(), MsWksDocument::readFormula(), RagTimeSpreadsheet::readFormulaV2(), GreatWksDBParserInternal::Field::updateCell(), MsWksDBParserInternal::SerialFormula::updateContent(), and RagTimeSpreadsheetInternal::Cell::validateFormula().

double MWAWCellContent::FormulaInstruction::m_doubleValue

value ( if type==F_Double )

Referenced by operator<<(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), RagTimeSpreadsheet::readFormula(), ClarisWksDbaseContent::readFormula(), MsWksDocument::readFormula(), and RagTimeSpreadsheet::readFormulaV2().

double MWAWCellContent::FormulaInstruction::m_longValue

value ( if type==F_Long )

Referenced by operator<<(), BeagleWksStructManager::readFormula(), GreatWksDocument::readFormula(), RagTimeSpreadsheet::readFormula(), ClarisWksDbaseContent::readFormula(), RagTimeSpreadsheet::readFormulaV2(), and MsWksDBParserInternal::SerialFormula::updateContent().

MWAWVec2i MWAWCellContent::FormulaInstruction::m_position[2]

cell position ( if type==F_Cell or F_CellList )

Referenced by operator<<(), BeagleWksStructManager::readCellInFormula(), GreatWksDocument::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), GreatWksDBParser::readFormula(), ClarisWksDbaseContent::readFormula(), MsWksDocument::readFormula(), WingzParser::readSpreadsheetCellName(), WingzParserInternal::Spreadsheet::update(), GreatWksDBParserInternal::Field::updateCell(), ClarisWksDbaseContent::Record::updateFormulaCells(), BeagleWksDBParserInternal::Database::updateWithContent(), and MsWksDBParserInternal::FieldType::updateWithContent().

MWAWVec2b MWAWCellContent::FormulaInstruction::m_positionRelative[2]

relative cell position ( if type==F_Cell or F_CellList )

Referenced by operator<<(), BeagleWksStructManager::readCellInFormula(), GreatWksDocument::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), ClarisWksDbaseContent::readFormula(), MsWksDocument::readFormula(), WingzParser::readSpreadsheetCellName(), WingzParserInternal::Spreadsheet::update(), and GreatWksDBParserInternal::Field::updateCell().

std::string MWAWCellContent::FormulaInstruction::m_sheet

the sheet name (if not empty)

Referenced by operator<<(), RagTimeSpreadsheet::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), and RagTimeSpreadsheetInternal::Cell::validateFormula().

Type MWAWCellContent::FormulaInstruction::m_type

the type

Referenced by operator<<(), BeagleWksStructManager::readCellInFormula(), GreatWksDocument::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), GreatWksDBParser::readFormula(), RagTimeSpreadsheet::readFormula(), ClarisWksDbaseContent::readFormula(), MsWksDocument::readFormula(), RagTimeSpreadsheet::readFormulaV2(), WingzParser::readSpreadsheetCellName(), WingzParserInternal::Spreadsheet::update(), GreatWksDBParserInternal::Field::updateCell(), MsWksDBParserInternal::SerialFormula::updateContent(), ClarisWksDbaseContent::Record::updateFormulaCells(), BeagleWksDBParserInternal::Database::updateWithContent(), MsWksDBParserInternal::FieldType::updateWithContent(), and RagTimeSpreadsheetInternal::Cell::validateFormula().

The documentation for this struct was generated from the following files:

- MWAWCell.hxx
- MWAWCell.cxx